org.apache.lucene.analysis

## Class CharacterUtils.CharacterBuffer

- java.lang.Object
- - org.apache.lucene.analysis.CharacterUtils.CharacterBuffer

Enclosing class:
  CharacterUtils

    public static final class CharacterUtils.CharacterBuffer
    extends Object

A simple IO buffer to use with `CharacterUtils.fill(CharacterBuffer, Reader)`.

### Method Summary

All Methods Instance Methods Concrete Methods
`char[]` `getBuffer()` Returns the internal buffer
`int` `getLength()` Return the length of the data in the internal buffer starting at `getOffset()`
`int` `getOffset()` Returns the data offset in the internal buffer.
`void` `reset()` Resets the CharacterBuffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getBuffer

    public char[] getBuffer()

Returns the internal buffer

Returns:
  the buffer

#### getOffset

    public int getOffset()

Returns the data offset in the internal buffer.

Returns:
  the offset

#### getLength

    public int getLength()

Return the length of the data in the internal buffer starting at `getOffset()`

Returns:
  the length

#### reset

    public void reset()

Resets the CharacterBuffer. All internals are reset to its default values.